Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::InterpretationRuleModbusSystemError Struct Reference

InterpretationRuleModbusSystemError is applied to standard system errors returned from libmodbus. More...

`import <GatewaySensorManager.idl;`

Inheritance diagram for peripheral::GatewaySensorManager::InterpretationRuleModbusSystemError:

## Public Attributes

vector< int > | errnos
| list of system error codes
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRuleInvertable
boolean | invertCondition
| negate rule condition
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRule
Interpretation | interpretation
| how to interpret the applied rule
int | ignoreTimeout
| if > 0, ignoring stops after this timeout (seconds), and state changes to unavailable
AccessType | accessType
| use rule for read and/or write access

## Detailed Description

InterpretationRuleModbusSystemError is applied to standard system errors returned from libmodbus.

Definition at line 473 of file GatewaySensorManager.idl.

## Member Data Documentation

## errnos

vector<int> peripheral::GatewaySensorManager::InterpretationRuleModbusSystemError::errnos

list of system error codes

Definition at line 474 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl